Search documentation of tiger_stripe

# Stripe.Services.Tax.SettingsService (tiger_stripe v0.1.1)

Copy Markdown View Source

TaxProductResourceTaxSettings

You can use Tax `Settings` to manage configurations used by Stripe Tax calculations.

Related guide: Using the Settings API

## Summary

### Functions

retrieve(client, params \\ %{}, opts \\ [])

Retrieve settings

update(client, params \\ %{}, opts \\ [])

Update settings

## Functions

# retrieve(client, params \\ %{}, opts \\ [])

    @spec retrieve(Stripe.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Retrieve settings

Retrieves Tax `Settings` for a merchant.

# update(client, params \\ %{}, opts \\ [])

    @spec update(Stripe.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Update settings

Updates Tax `Settings` parameters used in tax calculations. All parameters are editable but none can be removed once set.